Zend Opcache PHP 5.3/5.4/5.5/5.6下的安装

PHP 5.5发布了,内置支持Zend Opcache,很多人相信,这个亲生儿子比其他PHP加速器还要好。我今天也尝试了下,以CentOS为例。

一、编译安装Zend Opcache

1、PHP 5.5/5.6

PHP 5.5/5.6是自带了Zend Opcache,可以直接下载php安装包,从安装包里面安装。

编译成功了,但是没有效果,可能是由于我编译增加了xcache、memcache的原因,后来本地测试了下,全新PHP 5.5直接用--enable-opcache是可以的。

2、PHP 5.4

PHP 5.4默认为整合Zend Opcache,所以需要手动编译扩展来支持。

在php末增加

3、PHP 5.3

PHP 5.3安装Zend Opcache与5.4类似,只是/usr/local/lib/php/extensions/no-debug-non-zts-20100525/的路劲不一样。

二、yum安装Zend Opcache

PHP 5.3/5.4/5.5/5.6都支持yum,但须首先安装epel,安装后

三、是否生效

安装后重启apache,可以通过phpinfo查看Zend Opcache是否生效,下图是我的配置PHP扩展:
Zend Opcache
*请忽略图中的xcache,测试用的,不推荐在生产环境同时安装xcache、opcache。

Zend Opcache已经生效了,如果你要配置,也可以联系我。

发布者

小旭旭

iOpenV 创始人,80后,从事:项目管理、网站建设方案、网站优化策略;职务:网站管理员、部门主管、技术总监、经理。

发表评论

电子邮件地址不会被公开。 必填项已用*标注